--- dmesg-working-bzz	2013-01-04 00:41:11.000000000 +0200
+++ dmesg-broken-bzz	2013-01-04 00:42:01.000000000 +0200
@@ -76,14 +76,14 @@
 [drm:intel_modeset_check_state], [ENCODER:19:TMDS-19]
 [drm:intel_modeset_check_state], [CRTC:3]
 [drm:intel_modeset_check_state], [CRTC:4]
-[drm:drm_helper_probe_single_connector_modes], 
 [drm:i965_irq_handler], pipe B underrun
 [drm:i965_irq_handler], hotplug event received, stat 0x08400000
-[drm:i915_hotplug_work_func], running encoder hotplug functions
-[CONNECTOR:5:LVDS-1]
+[drm:i915_hotplug_work_func], 
+[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:5:LVDS-1]
 [drm:drm_helper_probe_single_connector_modes], [CONNECTOR:5:LVDS-1] probed modes :
 [drm:drm_mode_debug_printmodeline], Modeline 21:"1280x800" 60 71000 1280 1328 1360 1440 800 802 808 823 0x48 0xa
 [drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1]
+running encoder hotplug functions
 [drm:intel_crt_detect], CRT not detected via hotplug
 [drm:gmbus_xfer], GMBUS [i915 gmbus vga] NAK for addr: 0050 r(1)
 [drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
@@ -115,7 +115,7 @@
 [drm:drm_target_preferred], found mode 1280x800
 [drm:drm_setup_crtcs], picking CRTCs for 8192x8192 config
 [drm:drm_setup_crtcs], desired mode 1280x800 set on crtc 3
-[drm:intelfb_create], allocated 1280x800 fb: 0x00046000, bo ffff880036180c00
+[drm:intelfb_create], allocated 1280x800 fb: 0x00046000, bo ffff8800361a6c00
 fbcon: inteldrmfb (fb0) is primary device
 [drm:intel_crtc_set_config], [CRTC:3] [FB:22] #connectors=1 (x y) (0 0)
 [drm:intel_set_config_compute_mode_changes], crtc has no fb, full mode set
@@ -123,17 +123,17 @@
 [drm:drm_mode_debug_printmodeline], Modeline 0:"" 0 0 0 0 0 0 0 0 0 0 0x0 0x0
 [drm:drm_mode_debug_printmodeline], Modeline 8:"1280x800" 60 71000 1280 1328 1360 1440 800 802 808 823 0x48 0xa
 [drm:intel_modeset_stage_output_state], [CONNECTOR:5:LVDS-1] to [CRTC:3]
-[drm:intel_modeset_stage_output_state], crtc changed, full mode switch
+[drm:intel_modeset_stage_output_state], [CONNECTOR:11:VGA-1] to [CRTC:4]
 [drm:intel_modeset_stage_output_state], crtc changed, full mode switch
 [drm:intel_crtc_set_config], attempting to set mode from userspace
 [drm:drm_mode_debug_printmodeline], Modeline 8:"1280x800" 60 71000 1280 1328 1360 1440 800 802 808 823 0x48 0xa
-[drm:intel_set_mode], set mode pipe masks: modeset: 1, prepare: 1, disable: 2
+[drm:intel_set_mode], set mode pipe masks: modeset: 3, prepare: 3, disable: 0
+[drm:intel_modeset_adjusted_mode], [CRTC:3]
 [drm:intel_panel_actually_set_backlight], set backlight PWM = 0
 i915: fixme: max PWM is zero
 [drm:intel_opregion_asle_intr], non asle set request??
 [drm:intel_update_fbc], no output, disabling
 [drm:g4x_update_wm], Setting FIFO watermarks - A: plane=2, cursor=2, B: plane=2, cursor=2, SR: plane=0, cursor=0
-[drm:intel_modeset_adjusted_mode], [CRTC:3]
 [drm:i9xx_crtc_mode_set], Mode for pipe A:
 [drm:drm_mode_debug_printmodeline], Modeline 8:"1280x800" 60 71000 1280 1328 1360 1440 800 802 808 823 0x48 0xa
 [drm:i9xx_crtc_mode_set], disabling CxSR downclocking
@@ -141,286 +141,87 @@
 [drm:intel_update_fbc], no output, disabling
 [drm:g4x_update_wm], Setting FIFO watermarks - A: plane=2, cursor=2, B: plane=2, cursor=2, SR: plane=0, cursor=0
 [drm:intel_crtc_mode_set], [ENCODER:6:LVDS-6] set [MODE:8:1280x800]
+[drm:i9xx_crtc_mode_set], Mode for pipe B:
+[drm:drm_mode_debug_printmodeline], Modeline 8:"1280x800" 60 71000 1280 1328 1360 1440 800 802 808 823 0x48 0xa
+[drm:i9xx_crtc_mode_set], disabling CxSR downclocking
+[drm:i9xx_update_plane], Writing base 00046000 00000000 0 0 5120
+[drm:intel_update_fbc], no output, disabling
+[drm:g4x_update_wm], Setting FIFO watermarks - A: plane=2, cursor=2, B: plane=2, cursor=2, SR: plane=0, cursor=0
+[drm:intel_crtc_mode_set], [ENCODER:12:DAC-12] set [MODE:8:1280x800]
 [drm:g4x_check_srwm], SR watermark: display plane 56, cursor 6
 [drm:g4x_update_wm], Setting FIFO watermarks - A: plane=25, cursor=6, B: plane=2, cursor=2, SR: plane=56, cursor=6
 [drm:intel_update_fbc], fbc set to per-chip default
 [drm:intel_update_fbc], fbc disabled per module param
 [drm:intel_enable_lvds], applying panel-fitter: 0, 0
 [drm:intel_panel_actually_set_backlight], set backlight PWM = 1
-[drm:intel_connector_check_state], [CONNECTOR:5:LVDS-1]
-[drm:intel_modeset_check_state], [ENCODER:6:LVDS-6]
-[drm:intel_modeset_check_state], [ENCODER:12:DAC-12]
-[drm:intel_modeset_check_state], [ENCODER:13:TMDS-13]
-[drm:intel_modeset_check_state], [ENCODER:17:TMDS-17]
-[drm:intel_opregion_asle_intr], 
-non asle set request??
-[drm:intel_modeset_check_state], [ENCODER:19:TMDS-19]
-[drm:intel_modeset_check_state], [CRTC:3]
-[drm:intel_modeset_check_state], [CRTC:4]
-[drm:intel_crtc_set_config], [CRTC:4] [NOFB]
-[drm:intel_modeset_stage_output_state], [CONNECTOR:5:LVDS-1] to [CRTC:3]
-[drm:intel_crtc_set_config], [CRTC:3] [FB:22] #connectors=1 (x y) (0 0)
-[drm:intel_modeset_stage_output_state], [CONNECTOR:5:LVDS-1] to [CRTC:3]
-Console: switching to colour frame buffer device 160x50
-[drm:intel_crtc_set_config], [CRTC:3] [FB:22] #connectors=1 (x y) (0 0)
-[drm:intel_modeset_stage_output_state], [CONNECTOR:5:LVDS-1] to [CRTC:3]
-i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
-i915 0000:00:02.0: registered panic notifier
-ACPI Warning: _BQC returned an invalid level (20121018/video-486)
-acpi device:1d: registered as cooling_device2
-ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
-input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input15
-[drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
-[drm:intel_crtc_set_config], [CRTC:3] [FB:22] #connectors=1 (x y) (0 0)
-[drm:intel_modeset_stage_output_state], [CONNECTOR:5:LVDS-1] to [CRTC:3]
-[drm:i915_driver_open], 
-[drm:intel_crtc_set_config], [CRTC:3] [FB:22] #connectors=1 (x y) (0 0)
-[drm:intel_modeset_stage_output_state], [CONNECTOR:5:LVDS-1] to [CRTC:3]
-[drm:intel_crtc_set_config], [CRTC:4] [NOFB]
-[drm:intel_modeset_stage_output_state], [CONNECTOR:5:LVDS-1] to [CRTC:3]
-[drm:i915_driver_open], 
-[drm:drm_mode_getresources], CRTC[2] CONNECTORS[5] ENCODERS[5]
-[drm:drm_mode_getresources], CRTC[2] CONNECTORS[5] ENCODERS[5]
-[drm:drm_mode_getconnector], [CONNECTOR:5:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:5:LVDS-1]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:5:LVDS-1] probed modes :
-[drm:drm_mode_debug_printmodeline], Modeline 21:"1280x800" 60 71000 1280 1328 1360 1440 800 802 808 823 0x48 0xa
-[drm:drm_mode_getconnector], [CONNECTOR:5:?]
-[drm:drm_mode_getconnector], [CONNECTOR:11:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1]
-[drm:intel_crt_detect], CRT not detected via hotplug
-[drm:gmbus_xfer], GMBUS [i915 gmbus vga] NAK for addr: 0050 r(1)
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_crt_get_edid], CRT GMBUS EDID read failed, retry using GPIO bit-banging
-[drm:intel_gmbus_force_bit], enabling bit-banging on i915 gmbus vga. force bit now 1
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_gmbus_force_bit], disabling bit-banging on i915 gmbus vga. force bit now 0
-[drm:intel_crt_detect_ddc], CRT not detected via DDC:0x50 [no valid EDID found]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:11:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1]
-[drm:intel_crt_detect], CRT not detected via hotplug
-[drm:gmbus_xfer], GMBUS [i915 gmbus vga] NAK for addr: 0050 r(1)
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_crt_get_edid], CRT GMBUS EDID read failed, retry using GPIO bit-banging
-[drm:intel_gmbus_force_bit], enabling bit-banging on i915 gmbus vga. force bit now 1
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_gmbus_force_bit], disabling bit-banging on i915 gmbus vga. force bit now 0
-[drm:intel_crt_detect_ddc], CRT not detected via DDC:0x50 [no valid EDID found]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:14:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:14:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:18:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1]
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:18:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1]
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:20:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2]
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:20:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2]
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:5:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:5:LVDS-1]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:5:LVDS-1] probed modes :
-[drm:drm_mode_debug_printmodeline], Modeline 21:"1280x800" 60 71000 1280 1328 1360 1440 800 802 808 823 0x48 0xa
-[drm:drm_mode_getconnector], [CONNECTOR:5:?]
-[drm:drm_mode_getconnector], [CONNECTOR:11:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1]
-[drm:intel_crt_detect], CRT not detected via hotplug
-[drm:gmbus_xfer], GMBUS [i915 gmbus vga] NAK for addr: 0050 r(1)
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_crt_get_edid], CRT GMBUS EDID read failed, retry using GPIO bit-banging
-[drm:intel_gmbus_force_bit], enabling bit-banging on i915 gmbus vga. force bit now 1
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_gmbus_force_bit], disabling bit-banging on i915 gmbus vga. force bit now 0
-[drm:intel_crt_detect_ddc], CRT not detected via DDC:0x50 [no valid EDID found]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:11:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1]
-[drm:intel_crt_detect], CRT not detected via hotplug
-[drm:gmbus_xfer], GMBUS [i915 gmbus vga] NAK for addr: 0050 r(1)
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_crt_get_edid], CRT GMBUS EDID read failed, retry using GPIO bit-banging
-[drm:intel_gmbus_force_bit], enabling bit-banging on i915 gmbus vga. force bit now 1
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_gmbus_force_bit], disabling bit-banging on i915 gmbus vga. force bit now 0
-[drm:intel_crt_detect_ddc], CRT not detected via DDC:0x50 [no valid EDID found]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:14:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:14:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:18:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1]
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:18:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1]
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:20:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2]
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:20:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2]
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2] disconnected
-[drm:drm_mode_addfb], [FB:23]
-[drm:drm_mode_setcrtc], [CRTC:3]
-[drm:drm_mode_setcrtc], [CONNECTOR:5:LVDS-1]
-[drm:intel_crtc_set_config], [CRTC:3] [FB:23] #connectors=1 (x y) (0 0)
-[drm:intel_modeset_stage_output_state], [CONNECTOR:5:LVDS-1] to [CRTC:3]
-[drm:i9xx_update_plane], Writing base 0042E000 00000000 0 0 5120
-[drm:intel_update_fbc], fbc set to per-chip default
-[drm:intel_update_fbc], fbc disabled per module param
-[drm:drm_mode_getconnector], [CONNECTOR:5:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:5:LVDS-1]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:5:LVDS-1] probed modes :
-[drm:drm_mode_debug_printmodeline], Modeline 21:"1280x800" 60 71000 1280 1328 1360 1440 800 802 808 823 0x48 0xa
-[drm:drm_mode_getconnector], [CONNECTOR:5:?]
-[drm:drm_mode_getconnector], [CONNECTOR:11:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1]
-[drm:intel_crt_detect], CRT not detected via hotplug
-[drm:gmbus_xfer], GMBUS [i915 gmbus vga] NAK for addr: 0050 r(1)
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_crt_get_edid], CRT GMBUS EDID read failed, retry using GPIO bit-banging
-[drm:intel_gmbus_force_bit], enabling bit-banging on i915 gmbus vga. force bit now 1
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_gmbus_force_bit], disabling bit-banging on i915 gmbus vga. force bit now 0
-[drm:intel_crt_detect_ddc], CRT not detected via DDC:0x50 [no valid EDID found]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:11:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1]
-[drm:intel_crt_detect], CRT not detected via hotplug
-[drm:gmbus_xfer], GMBUS [i915 gmbus vga] NAK for addr: 0050 r(1)
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_crt_get_edid], CRT GMBUS EDID read failed, retry using GPIO bit-banging
-[drm:intel_gmbus_force_bit], enabling bit-banging on i915 gmbus vga. force bit now 1
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_gmbus_force_bit], disabling bit-banging on i915 gmbus vga. force bit now 0
-[drm:intel_crt_detect_ddc], CRT not detected via DDC:0x50 [no valid EDID found]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:14:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:14:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:18:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1]
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:18:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1]
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:20:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2]
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:20:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2]
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:5:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:5:LVDS-1]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:5:LVDS-1] probed modes :
-[drm:drm_mode_debug_printmodeline], Modeline 21:"1280x800" 60 71000 1280 1328 1360 1440 800 802 808 823 0x48 0xa
-[drm:drm_mode_getconnector], [CONNECTOR:5:?]
-[drm:drm_mode_getconnector], [CONNECTOR:11:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1]
-[drm:intel_crt_detect], CRT not detected via hotplug
-[drm:gmbus_xfer], GMBUS [i915 gmbus vga] NAK for addr: 0050 r(1)
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_crt_get_edid], CRT GMBUS EDID read failed, retry using GPIO bit-banging
-[drm:intel_gmbus_force_bit], enabling bit-banging on i915 gmbus vga. force bit now 1
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_gmbus_force_bit], disabling bit-banging on i915 gmbus vga. force bit now 0
-[drm:intel_crt_detect_ddc], CRT not detected via DDC:0x50 [no valid EDID found]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:11:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1]
-[drm:intel_crt_detect], CRT not detected via hotplug
-[drm:gmbus_xfer], GMBUS [i915 gmbus vga] NAK for addr: 0050 r(1)
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_crt_get_edid], CRT GMBUS EDID read failed, retry using GPIO bit-banging
-[drm:intel_gmbus_force_bit], enabling bit-banging on i915 gmbus vga. force bit now 1
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_gmbus_force_bit], disabling bit-banging on i915 gmbus vga. force bit now 0
-[drm:intel_crt_detect_ddc], CRT not detected via DDC:0x50 [no valid EDID found]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:11:VGA-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:14:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:14:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:14:HDMI-A-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:18:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1]
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:18:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1]
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:18:DP-1] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:20:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2]
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2] disconnected
-[drm:drm_mode_getconnector], [CONNECTOR:20:?]
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2]
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:drm_helper_probe_single_connector_modes], [CONNECTOR:20:DP-2] disconnected
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_aux_ch], dp_aux_ch timeout status 0x51450064
-[drm:intel_dp_detect], DPCD: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
-[drm:intel_crt_detect], CRT not detected via hotplug
-[drm:gmbus_xfer], GMBUS [i915 gmbus vga] NAK for addr: 0050 r(1)
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_crt_get_edid], CRT GMBUS EDID read failed, retry using GPIO bit-banging
-[drm:intel_gmbus_force_bit], enabling bit-banging on i915 gmbus vga. force bit now 1
-[drm:drm_do_probe_ddc_edid], drm: skipping non-existent adapter i915 gmbus vga
-[drm:intel_gmbus_force_bit], disabling bit-banging on i915 gmbus vga. force bit now 0
-[drm:intel_crt_detect_ddc], CRT not detected via DDC:0x50 [no valid EDID found]
-[drm:intel_crtc_cursor_set], cursor off
-[drm:intel_crtc_cursor_set], cursor off
+[drm:intel_opregion_asle_intr], non asle set request??
+divide error: 0000 [#1] SMP 
+Modules linked in: i915(+) drm_kms_helper drm i2c_algo_bit i2c_core cpufreq_conservative cpufreq_userspace cpufreq_stats cpufreq_powersave binfmt_misc uinput fuse nfsd auth_rpcgss nfs_acl nfs lockd fscache sunrpc ext2 loop firewire_sbp2 snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss arc4 snd_mixer_oss iwldvm snd_pcm mac80211 snd_page_alloc snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq snd_timer iwlwifi snd_seq_device snd cfg80211 asus_laptop input_polldev iTCO_wdt sparse_keymap psmouse iTCO_vendor_support rfkill acpi_cpufreq mperf processor lpc_ich ehci_pci evdev serio_raw mfd_core button ac pcspkr soundcore battery video ext3 mbcache jbd sha256_generic cbc dm_crypt dm_mod netconsole configfs sg sd_mod crc_t10dif ahci libahci libata sdhci_pci sdhci firewire_ohci thermal thermal_sys firewire_core scsi_mod crc_itu_t mmc_core r8169 mii uhci_hcd ehci_hcd usbcore usb_common
+CPU 1 
+Pid: 4035, comm: modprobe Not tainted 3.8.0-rc2 #34 LENOVO                         2746EKU/2746EKU   
+RIP: 0010:[<ffffffffa054eabf>]  [<ffffffffa054eabf>] g4x_compute_wm0+0xc6/0x125 [i915]
+RSP: 0018:ffff8800b5c73200  EFLAGS: 00010216
+RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000040
+RDX: 0000000000000000 RSI: 00000000000003e8 RDI: 0000000000000000
+RBP: ffff8800b5c73228 R08: ffffffffa056bca0 R09: 0000000000001388
+R10: ffffffffa056bc70 R11: ffff8800b5c7326c R12: ffff8800b5c73264
+R13: 0000000000000004 R14: 0000000000000000 R15: 0000000000001fc0
+FS:  0000000000000000(0000) GS:ffff8800bdb00000(0063) knlGS:00000000f7616b40
+CS:  0010 DS: 002b ES: 002b CR0: 000000008005003b
+CR2: 00000000f7760000 CR3: 00000000b67d9000 CR4: 00000000000007e0
+DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
+DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
+Process modprobe (pid: 4035, threadinfo ffff8800b5c72000, task ffff880036233630)
+Stack:
+ ffff8800b55d8000 0000000000000001 ffff8800b6222000 0000000000000001
+ 0000000000000001 ffff8800b5c73298 ffffffffa0552054 ffff8800b5c73264
+ ffff8800b5c7326c 0000000000061200 ffff8800b6743bc0 ffff8800b5c732a8
+Call Trace:
+ [<ffffffffa0552054>] g4x_update_wm+0x83/0x1d3 [i915]
+ [<ffffffffa05529e0>] intel_update_watermarks+0x19/0x1b [i915]
+ [<ffffffffa0538e1a>] i9xx_crtc_enable+0x65/0x1a0 [i915]
+ [<ffffffffa053eb78>] intel_set_mode+0x728/0x821 [i915]
+ [<ffffffffa053f226>] intel_crtc_set_config+0x5b5/0x75f [i915]
+ [<ffffffff810c662e>] ? ____cache_alloc+0x205/0x586
+ [<ffffffffa050b90f>] drm_fb_helper_set_par+0x69/0xb2 [drm_kms_helper]
+ [<ffffffff811c3ebd>] fbcon_init+0x30c/0x409
+ [<ffffffff81210118>] visual_init+0xb8/0x10f
+ [<ffffffff812111da>] bind_con_driver+0x163/0x263
+ [<ffffffff81211312>] take_over_console+0x38/0x45
+ [<ffffffff811c07f5>] fbcon_takeover+0x56/0x98
+ [<ffffffff811c45df>] fbcon_event_notify+0x2c1/0x5ea
+ [<ffffffff81048dd4>] notifier_call_chain+0x32/0x5c
+ [<ffffffff81048f07>] __blocking_notifier_call_chain+0x41/0x5a
+ [<ffffffff81048f2f>] blocking_notifier_call_chain+0xf/0x11
+ [<ffffffff811b7e12>] fb_notifier_call_chain+0x16/0x18
+ [<ffffffff811b91b2>] register_framebuffer+0x1fd/0x261
+ [<ffffffffa050bb26>] drm_fb_helper_single_fb_probe+0x1ce/0x297 [drm_kms_helper]
+ [<ffffffffa050bdc6>] drm_fb_helper_initial_config+0x1d7/0x1f1 [drm_kms_helper]
+ [<ffffffff810c6a26>] ? __kmalloc+0x77/0xa1
+ [<ffffffffa0555d84>] intel_fbdev_init+0x6f/0x82 [i915]
+ [<ffffffffa051ecd8>] i915_driver_load+0xa34/0xc02 [i915]
+ [<ffffffffa04bf26d>] drm_get_pci_dev+0x15e/0x266 [drm]
+ [<ffffffffa051b483>] i915_pci_probe+0x60/0x69 [i915]
+ [<ffffffff811a2870>] pci_device_probe+0x6a/0xaf
+ [<ffffffff8122cafa>] ? driver_probe_device+0x1c3/0x1c3
+ [<ffffffff8122c9d1>] driver_probe_device+0x9a/0x1c3
+ [<ffffffff8122cb54>] __driver_attach+0x5a/0x7e
+ [<ffffffff8122b183>] bus_for_each_dev+0x4f/0x81
+ [<ffffffff8122c4d9>] driver_attach+0x19/0x1b
+ [<ffffffff8122c18b>] bus_add_driver+0xe3/0x207
+ [<ffffffff8122d0db>] driver_register+0x8e/0x114
+ [<ffffffff811a1efe>] __pci_register_driver+0x46/0x48
+ [<ffffffffa04bf3fb>] drm_pci_init+0x86/0xeb [drm]
+ [<ffffffffa0590000>] ? 0xffffffffa058ffff
+ [<ffffffffa0590066>] i915_init+0x66/0x68 [i915]
+ [<ffffffff81000232>] do_one_initcall+0x7a/0x12c
+ [<ffffffffa0590000>] ? 0xffffffffa058ffff
+ [<ffffffff8106e55e>] load_module+0x1690/0x1945
+ [<ffffffff8106b8d2>] ? free_notes_attrs+0x48/0x48
+ [<ffffffff8102441f>] ? do_page_fault+0x9/0xe
+ [<ffffffff8106e8b5>] sys_init_module+0xa2/0xb1
+ [<ffffffff812d8965>] sysenter_dispatch+0x7/0x1a
+Code: 4f c7 31 d2 48 98 48 8d 44 01 ff 48 f7 f1 41 03 42 18 41 89 04 24 41 8b 52 08 39 d0 0f 4f c2 41 89 04 24 41 69 c6 e8 03 00 00 99 <f7> fb 41 89 c6 44 89 c8 99 41 f7 fe 05 e8 03 00 00 99 f7 fe 49 
+RIP  [<ffffffffa054eabf>] g4x_compute_wm0+0xc6/0x125 [i915]
+ RSP <ffff8800b5c73200>
+---[ end trace a1d30e01f7639b0e ]---
